package com.mvc.model.router;

import java.util.List;

public class TDynamicrouterModel {
    //当前对象只留前台需要的
    private String path;

    private String name;

    private String component;

    private String redirect;

    private TDynamicrouteMetaModel meta;

    private List<TDynamicrouterModel> children;

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path == null ? null : path.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component == null ? null : component.trim();
    }

    public String getRedirect() {
        return redirect;
    }

    public void setRedirect(String redirect) {
        this.redirect = redirect == null ? null : redirect.trim();
    }

    public TDynamicrouteMetaModel getMeta() {
        return meta;
    }

    public void setMeta(TDynamicrouteMetaModel meta) {
        this.meta = meta;
    }

    public List<TDynamicrouterModel> getChildren() {
        return children;
    }

    public void setChildren(List<TDynamicrouterModel> children) {
        this.children = children;
    }
}